Name:          eventbus
Version:       1.4
Release:       %mkrel 5
Summary:       Pub-sub Event broadcasting mechanism, Swing-oriented
Group:         Development/Java
License:       ASL 2.0
# http://java.net/projects/eventbus
Url:           http://eventbus.org/
# svn export https://svn.java.net/svn/eventbus~svn/tags/RELEASE_1_4 eventbus-1.4
# rm -rf eventbus-1.4/www
# tar czf eventbus-1.4-src-svn.tar.gz eventbus-1.4
Source0:       eventbus-%{version}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-source-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
A simple but powerful publish-subscribe API that is based on class semantics and/or string (topic) matching.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build

mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc NOTICE.txt RELEASE_NOTES.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Mon Nov 11 2013 dmorgan <dmorgan> 1.4-5.mga4
+ Revision: 550475
- Remove useless/broken macros

* Tue Oct 22 2013 umeabot <umeabot> 1.4-4.mga4
+ Revision: 545843
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1.4-3.mga4
+ Revision: 501923
- BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 349795
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 11 2011 gil <gil> 1.4-1.mga2
+ Revision: 166473
- imported package eventbus

